Bug 44173 - The selection is useless in software monitor
The selection is useless in software monitor
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Software monitor
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-30 21:54 CEST by Stefan Gohmann
Modified: 2017-12-06 16:23 CET (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.046
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
umc-software-monitor-selection.png (82.11 KB, image/png)
2017-03-30 21:54 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2017-03-30 21:54:07 CEST
Created attachment 8716 [details]
umc-software-monitor-selection.png

See attached screenshot. The software monitor offers a selection of packages. The count is wrong (see screenshot, three items are selected but only one is shown). The selection doesn't make any sense because you don't have a action button.
Comment 1 Florian Best univentionstaff 2017-03-31 10:40:23 CEST
It's simply fixed by adding {gridOptions: {selectionMode: 'none'}} to this._Grid = new Grid({…}).
Comment 2 Jannik Ahlers univentionstaff 2017-11-20 16:14:59 CET
Fixed in branch jahlers/44173
Comment 3 Florian Best univentionstaff 2017-11-21 14:08:39 CET
(In reply to Jannik Ahlers from comment #2)
> Fixed in branch jahlers/44173
There is a javascript syntax error now when I try to open the module.
Comment 4 Florian Best univentionstaff 2017-11-29 15:53:57 CET
Please create a YAML file for the second touched package "univention-web".

You can merge the changes. Please adjust the description in the YAML to
something like the following:

The selection checkboxes which have no possible actions have been removed from the the UMC module.
Comment 5 Jannik Ahlers univentionstaff 2017-11-30 10:59:39 CET
Removed the selection checkboxes in the software monitor UMC module.
Also removed the selection counter when selection-mode for the grid is set to none.
Comment 6 Florian Best univentionstaff 2017-11-30 14:42:51 CET
Instead of completely removing the selection counter we should display how many entries are displayed.

I think we should adjust the grid padding. The first column looks a little bit strange. You can ask Johannes, he can help you with the necessary CSS adjustments.
Comment 7 Florian Best univentionstaff 2017-12-01 17:26:14 CET
@Johannes, can you please have a look at the CSS part of comment #6.
Comment 8 Johannes Keiser univentionstaff 2017-12-04 13:33:35 CET
univention-web (1.0.42-54)

fbc4e84 Bug #44173: Adjust css for grid padding

YAML: (e1c5877 Bug #44173: YAML - update version)
Comment 9 Johannes Keiser univentionstaff 2017-12-04 15:38:15 CET
univention-web (1.0.42-55)

1271cfa Bug #44173: Adjust grid header text

YAML: (da12e57 Bug #44173: YAML - update version)
Comment 10 Florian Best univentionstaff 2017-12-04 17:14:07 CET
OK: grid padding
OK: text in the grid
Comment 11 Arvid Requate univentionstaff 2017-12-06 15:46:07 CET
version: [2]
scope: ucs_4.2-0-errata4.2-3

=> fail.
Comment 12 Arvid Requate univentionstaff 2017-12-06 16:05:20 CET
The advisories needed fixing:


diff --git a/doc/errata/staging/univention-pkgdb.yaml b/doc/errata/staging/univention-pkgdb.yaml
index e6eaa4d..316a8b2 100644
--- a/doc/errata/staging/univention-pkgdb.yaml
+++ b/doc/errata/staging/univention-pkgdb.yaml
@@ -7,6 +7,6 @@ fix: 10.0.2-5A~4.2.0.201712041617
 desc: |
  This update addresses the following issue(s):
  * The selection checkboxes which have no possible actions have been removed
-   from the UMC module.
+   from the pkgdb UMC module.
  * Loading animations are now shown in the UMC module.
 bug: [44173, 45623]
diff --git a/doc/errata/staging/univention-web.yaml b/doc/errata/staging/univention-web.yaml
index 941dada..280eca8 100644
--- a/doc/errata/staging/univention-web.yaml
+++ b/doc/errata/staging/univention-web.yaml
@@ -7,7 +7,7 @@ fix: 1.0.42-61A~4.2.0.201712061315
 desc: |
  This update addresses the following issue(s):
  * The selection checkboxes which have no possible actions have been removed
-   from the UMC module.
+   from the pkgdb UMC module.
  * A notification about the advantages of using the Enterprise Edition of UCS
    is displayed after the login on specific systems.
 bug: [44173, 45809]